import QtQuick 2.12
import QtQuick.Window 2.1
import TableModel 1.0


Window {
    width: 640
    height: 480
    Component.onCompleted: visible = true

    TableView {
        id: table
        anchors.fill: parent
        columnSpacing: 1
        rowSpacing: 1
        clip: true

        model: TableModel

        delegate: Rectangle {
            implicitWidth: 100
            implicitHeight: 50
            Text {
                text: row + "," + column // works
                // text: customrole // crash in indexCallback
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                  console.log(row,column,index)
                }
                onDoubleClicked: {
                  console.log(customrole) // double click on cell to replicate crash
                }
            }
        }
    }
}


